summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
Diffstat (limited to 'graphics')
-rw-r--r--graphics/rawstudio/README5
-rw-r--r--graphics/rawstudio/doinst.sh4
-rw-r--r--graphics/rawstudio/rawstudio.SlackBuild101
-rw-r--r--graphics/rawstudio/rawstudio.info10
-rw-r--r--graphics/rawstudio/slack-desc18
5 files changed, 138 insertions, 0 deletions
diff --git a/graphics/rawstudio/README b/graphics/rawstudio/README
new file mode 100644
index 0000000000..022ee89de7
--- /dev/null
+++ b/graphics/rawstudio/README
@@ -0,0 +1,5 @@
+Rawstudio is an open-source program to read and manipulate
+RAW images from most digital cameras.
+
+This requires GConf, lensfun and flickcurl.
+
diff --git a/graphics/rawstudio/doinst.sh b/graphics/rawstudio/doinst.sh
new file mode 100644
index 0000000000..65fd352418
--- /dev/null
+++ b/graphics/rawstudio/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/rawstudio/rawstudio.SlackBuild b/graphics/rawstudio/rawstudio.SlackBuild
new file mode 100644
index 0000000000..1cdbc65573
--- /dev/null
+++ b/graphics/rawstudio/rawstudio.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware Package Build Script for rawstudio
+# Home Page http://rawstudio.org/
+
+# Copyright (c) 2007-2011, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# No additional license terms :-)
+
+PRGNAM="rawstudio"
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ pixmaps/artwork.license $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/rawstudio/rawstudio.info b/graphics/rawstudio/rawstudio.info
new file mode 100644
index 0000000000..c022ac6fff
--- /dev/null
+++ b/graphics/rawstudio/rawstudio.info
@@ -0,0 +1,10 @@
+PRGNAM="rawstudio"
+VERSION="2.0"
+HOMEPAGE="http://rawstudio.org/"
+DOWNLOAD="http://rawstudio.org/files/release/rawstudio-2.0.tar.gz"
+MD5SUM="b2f86b8ca6b83ad954e3104c4cb89e9b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="Niels Horn"
diff --git a/graphics/rawstudio/slack-desc b/graphics/rawstudio/slack-desc
new file mode 100644
index 0000000000..d18972c585
--- /dev/null
+++ b/graphics/rawstudio/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+rawstudio: RAWStudio (read and manipulate RAW images)
+rawstudio:
+rawstudio: Rawstudio is an open-source program to read and manipulate
+rawstudio: RAW images from most digital cameras. Rawstudio can convert
+rawstudio: RAW files into JPEG, PNG, or TIF images.
+rawstudio:
+rawstudio: Home Page: http://www.rawstudio.org/
+rawstudio:
+rawstudio:
+rawstudio:
+rawstudio: